Установка FB 2.1.0.7735 - проблема с кодировками DISCRIPTION

Установка базовых дистрибутивов, создание своих, распространение, установка автоматически и "вручную", файлы, необходимые для создания дистрибутивов.

Модераторы: kdv, Alexey Kovyazin

Ответить
Nur
Сообщения: 5
Зарегистрирован: 09 дек 2006, 14:41

Установка FB 2.1.0.7735 - проблема с кодировками DISCRIPTION

Сообщение Nur » 03 фев 2008, 10:18

Пытался задать этот вопрос на firebird-russian, но не понял, почему
сервер засыпает меня письмами "Post to mailing list still pending".
Итак, после установки FB 2.1 поверх FB 2.0 при попытке открыть
базу в Экспете получаю ошибки
Cannot transliterate character between character sets
Жалуется на поля DISCRIPTION.
DY советует читать metadata_charset.txt и "читай вышеупомянутый текстовик или релизные ноты и апгрейдь
метаданные после рестора ".
Но вот беда: где взять этот файл ?
В каталоге сервера я его нигде не нашел.
Прошу помощи.
Заранее благодарен.

Нургалеев Рустем.

Кузнецов Евгений
Сообщения: 144
Зарегистрирован: 16 фев 2006, 22:36

Сообщение Кузнецов Евгений » 03 фев 2008, 11:19

Доброго времени суток!

To Nur

Вообще-то, должен быть в misc\upgrade\metadata.
Если горит, можете скачать snapshot - http://www.firebirdsql.org/download/sna ... uilds/win/ от 02.02 - там это точно есть.
(правда, 9 Мб)

Nur
Сообщения: 5
Зарегистрирован: 09 дек 2006, 14:41

Сообщение Nur » 03 фев 2008, 11:34

Кузнецов Евгений писал(а):Вообще-то, должен быть в misc\upgrade\metadata.
Вот ведь! Раньше я его никак не мог найти.
Спасибо большое, сейчас буду читать.

Nur
Сообщения: 5
Зарегистрирован: 09 дек 2006, 14:41

Все получилось.

Сообщение Nur » 03 фев 2008, 11:55

Спасибо, все очень мило отработало.

Ответить

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 1 гость